package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsStore;
import com.fs.his.param.FsStoreAuditParam;


/**
 * 店铺管理Service接口
 *
 * @author fs
 * @date 2023-06-15
 */
public interface IFsStoreService
{
    /**
     * 查询店铺管理
     *
     * @param storeId 店铺管理主键
     * @return 店铺管理
     */
    public FsStore selectFsStoreByStoreId(Long storeId);

    /**
     * 查询店铺管理列表
     *
     * @param fsStore 店铺管理
     * @return 店铺管理集合
     */
    public List<FsStore> selectFsStoreList(FsStore fsStore);

    /**
     * 新增店铺管理
     *
     * @param fsStore 店铺管理
     * @return 结果
     */
    public int insertFsStore(FsStore fsStore);

    /**
     * 修改店铺管理
     *
     * @param fsStore 店铺管理
     * @return 结果
     */
    public int updateFsStore(FsStore fsStore);

    /**
     * 批量删除店铺管理
     *
     * @param storeIds 需要删除的店铺管理主键集合
     * @return 结果
     */
    public int deleteFsStoreByStoreIds(Long[] storeIds);

    /**
     * 删除店铺管理信息
     *
     * @param storeId 店铺管理主键
     * @return 结果
     */
    public int deleteFsStoreByStoreId(Long storeId);

    int updateFsStoreAudit(FsStoreAuditParam fsStore);

    int updateFsStoreLogo(FsStore fsStore);

    int updateEditData(FsStore fsStore);


    List<FsStore> selectFsStoreListByDoctorId(Long doctorId);
}
